Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of loyalty programs. Supports filtering by id, name, status, and created_at with various conditions.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by program id. Supports conditions $is, $is_not, $in, $not_in.
Filter by program name. Supports conditions $is, $is_not, $contains, $not_contain, $starts_with, $ends_with, $in, $not_in, $has_value, $is_unknown.
Filter by program status. Supports conditions $is, $is_not, $in, $not_in. Values are ACTIVE, INACTIVE, DRAFT.
Filter by creation date. Supports conditions $before, $after, $is, $more_than, $less_than, $has_value, $is_unknown.
Logical junction for combining filters
AND, OR Maximum number of results to return (1-100, default 10)
1 <= x <= 100Sort order for results
-created_at, created_at, name, -name Cursor for pagination (from previous response)
^lcrsprg_[a-f0-9]+$Was this page helpful?